SoGeo(3)

NAME
SoGeo - The SoGeo class is used to initialize the geo nodes in Coin, and has some utility geo coordinate functions.

SYNOPSIS

#include <Inventor/misc/SoGeo.h>

  Static Public Member Functions
static void init (void)
static SbVec3d toGD (const SbString *originsystem, const int numoriginsys, const SbVec3d &origincoords)
static SbVec3d fromGD (const SbVec3d &gd, const SbString *tosystem, const int numtosys)
static SbDPMatrix calculateDPTransform (const SbString *originsystem, const int numoriginsys, const SbVec3d &origincoords, const SbString *localsystem, const int numlocalsys, const SbVec3d &localcoords)
static SbMatrix calculateTransform (const SbString *originsystem, const int numoriginsys, const SbVec3d &origincoords, const SbString *localsystem, const int numlocalsys, const SbVec3d &localcoords)

Detailed Description

The SoGeo class is used to initialize the geo nodes in Coin, and has some utility geo coordinate functions.

Author

Generated automatically by Doxygen for Coin from the source code.